﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class DatePickerDemoPage : ContentPage
    {
        Label date;
        public DatePickerDemoPage()
        {
            Label header = new Label
            {
                Text = "DatePicker",
				FontSize = 10,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

            DatePicker datePicker = new DatePicker
            {
                Format = "D",
                VerticalOptions = LayoutOptions.Start
            };
            datePicker.DateSelected += DatePicker_DateSelected;

            date = new Label
            {
                Text = "Datum="
            };

            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    header,date,
                    datePicker,
                    
                }
            };
        }

        private void DatePicker_DateSelected(object sender, DateChangedEventArgs e)
        {
            date.Text = e.NewDate.Date.DayOfWeek.ToString();
        }
    }
}
