﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class ImageDemoPage : ContentPage
    {
        Image image;
        Picker pic;
        Label lab;
        Uri link;
        Entry Input;
        public ImageDemoPage()
        {
            Label header = new Label
            {
                Text = "Image V2",
                FontSize = 50,
                FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

            lab = new Label
            {

            };

            Button Go = new Button
            {
                Text = "Go"
            };
            Go.Clicked += Go_Clicked;
            Input = new Entry
            {
                Placeholder = "Gebe URL ein"
            };

            pic = new Picker { };
            pic.SelectedIndexChanged += Pic_SelectedIndexChanged;
            link =new Uri("https://www.th-luebeck.de/fileadmin/templates/fhluebeck/images/logo-thl.jpg");
            image = new Image
            {
                // Some differences with loading images in initial release.
                
                Source =  ImageSource.FromUri(link) ,
                //Source= ImageSource.FromResource("FormsGalleryBay.regcSharp.jpg"),
                
                VerticalOptions = LayoutOptions.CenterAndExpand
            };
            pic.Items.Add("http://www.th-luebeck.de/fileadmin/templates/fhluebeck/images/logo-thl.jpg");
            pic.Items.Add("http://i.ytimg.com/vi/JTxPzXQ1Sso/maxresdefault.jpg");
            pic.Items.Add("http://media-cdn.tripadvisor.com/media/photo-s/09/97/8c/27/castle-rock-trading-post.jpg");
            pic.Items.Add("http://www.joergbayerlein.de/wp-content/uploads/2015/06/windf.jpg");
            pic.Items.Add("http://media.istockphoto.com/photos/test-card-or-test-pattern-generic-picture-id816752606");
            pic.Items.Add("http://lernraum.th-luebeck.de/pluginfile.php/2/course/section/1/blended_learning_299.jpg");

            pic.Items.Add("https://www.th-luebeck.de/fileadmin/templates/fhluebeck/images/logo-thl.jpg");
            pic.Items.Add("https://i.ytimg.com/vi/JTxPzXQ1Sso/maxresdefault.jpg");
            pic.Items.Add("https://media-cdn.tripadvisor.com/media/photo-s/09/97/8c/27/castle-rock-trading-post.jpg");
            pic.Items.Add("https://www.joergbayerlein.de/wp-content/uploads/2015/06/windf.jpg");
            pic.Items.Add("https://media.istockphoto.com/photos/test-card-or-test-pattern-generic-picture-id816752606");
            pic.Items.Add("https://lernraum.th-luebeck.de/pluginfile.php/2/course/section/1/blended_learning_299.jpg");

            // Build the page.
            this.Content = new StackLayout
            {
                Children =
                {
                    header,lab,
                    pic,Go,Input,
                    image
                }
            };
        }

        private void Go_Clicked(object sender, EventArgs e)
        {
            lab.Text = Input.Text;
            image.Source = ImageSource.FromUri(new Uri(lab.Text));
        }

        private void Pic_SelectedIndexChanged(object sender, EventArgs e)
        {
            lab.Text = pic.SelectedItem.ToString();
            image.Source = ImageSource.FromUri(new Uri(lab.Text));
        }
    }
}
