﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class TimePickerDemoPage : ContentPage
    {
        Label GepZeit;
        TimePicker timePicker;
        public TimePickerDemoPage()
        {
            Label header = new Label
            {
                Text = "TimePicker",
				FontSize = 50,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };
            GepZeit = new Label
            {
                Text = " Noch nichts gewählt",
                VerticalOptions = LayoutOptions.End,
            };
             timePicker = new TimePicker
            {
                Format = "T",
                VerticalOptions = LayoutOptions.CenterAndExpand
            };
            timePicker.PropertyChanged += tp_PropertyChanged;

            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    header,
                    timePicker,
                    GepZeit
                }
            };

            
        }
        private void tp_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            GepZeit.Text = timePicker.Time.ToString();
        }
    }
}
