﻿using System;
using Xamarin.Forms;

namespace FormsGalleryBay
{
    class WebViewDemoPage : ContentPage
    {
        
        WebView webView;
        Entry URL;
        public WebViewDemoPage()
        {
            Label header = new Label
            {
                Text = "WebView",
				FontSize = 5,
				FontAttributes = FontAttributes.Bold,
                HorizontalOptions = LayoutOptions.Center
            };

            webView = new WebView
            {
                Source = new UrlWebViewSource
                {
                    Url = "https://www.th-luebeck.de",
                },
                VerticalOptions = LayoutOptions.FillAndExpand
            };
             URL = new Entry
            {
                Placeholder = "Bitte Url eingeben",
                Keyboard = Keyboard.Url
            };
            Button butGo = new Button
            {
                Text = "Go"
            };
            butGo.Clicked += ButGo_Clicked;
            // Build the page.
            this.Content = new StackLayout
            {
                Children = 
                {
                    header,
                    URL,
                    butGo,
                    webView
                }
            };
        }

        private void ButGo_Clicked(object sender, EventArgs e)
        {
            webView.Source = new UrlWebViewSource
            {
                Url = URL.Text,
            };
        }
    }
}
